{% extends "base.html" %}

{% block app_content %}
    <table class="table table-hover">
        <tr>
            <td width="256px"><img src="{{ user.avatar(256) }}"></td>
            <td>
                <h1>User: {{ user.username }}</h1>
                {% if user.about_me %}<p>{{ user.about_me }}</p>{% endif %}
                {% if user.last_seen %}
                    <p>Last seen on: {{ moment(user.last_seen).format('LLL') }}</p>
                {% endif %}
                <p>{{ user.followers.count() }} followers, {{ user.followed.count() }} following.</p>
                {% if user == current_user %}
                <p><a href="{{ url_for('main.edit_profile') }}">Edit your profile</a></p>
                {% elif not current_user.is_following(user) %}
                <p><a class="text-info" href="{{ url_for('main.follow', username=user.username) }}">Follow</a></p>
                {% else %}
                <p><a class="text-warning" href="{{ url_for('main.unfollow', username=user.username) }}">Unfollow</a></p>
                {% endif %}
                {% if user != current_user %}
                <p><a class="text-info" href="{{ url_for('main.send_message',recipient=user.username) }}">
                        Send private message</a></p>
                {% endif %}
            </td>
        </tr>
    </table>
    {% for post in posts %}
        {% include '_post.html' %}
    {% endfor %}
    {% include 'paginator.jinja' %}
{% endblock %}